@font-face {
	font-family: tikaAdjusted;
	src: url(mewbox-data/fonts/TikaAdjusted.ttf);
}

body {
	margin: 0;
	min-height: 100vh;
	display: flex;
	flex-direction: column;
	background:
		radial-gradient(transparent, #00000055),
		url('assets/Mewgenics_Header.png');
	background-size: cover;
	background-attachment: fixed;
	backdrop-filter: blur(3px) brightness(50%);
	color: white;
	font-family: tikaAdjusted;

	height: 100vh;
	overflow: hidden;

	scrollbar-color: #888 transparent;
}

.mewbox {
	display: flex;
	flex: 1;
	text-shadow: 2px 2px black;
	height: calc(100vh - 50px);
}

header {
	padding: 10px;
	background: #000000BB;
}

.sidebar {
	width: 300px;
	min-width: 300px;
	padding: 20px;
	display: flex;
	flex-direction: column;

	background: #00000088;
	flex-shrink: 0;
	overflow: hidden;
}

/*
.sidebar-element {}
*/

.sidebar-element-thumbnail-passive {
	position: relative;
	height: 200px;
	filter: drop-shadow(7px 7px 2px #00000088)
}

.sidebar-element-thumbnail-passive-shell {
	position: absolute;
	top: 45%;
	left: 50%;
	transform: translate(-50%, -50%) scale(2.5);
}

.sidebar-element-thumbnail-passive-ability {
	position: absolute;
	top: 45%;
	left: 50%;
	transform: translate(-50%, -40%) scale(2.5);
}


.sidebar-element-name {
	font-size: 1.5rem;
	padding: 2px;
	text-align: center;
	font-weight: bold;
}

.sidebar-element-stats {
	font-size: 1.5em;
	padding: 2px;
	text-align: center;
	font-weight: bold;
}

.sidebar-tierChanger {
	padding: 5px;
	margin-top: auto;
	align-self: center;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: space-between;
	justify-content: center;
}

.sidebar-tierChanger-button {
	padding: 5px;
	margin: 5px;
	background-color: #00000088;
	justify-content: center;
}

.mewbox-icon {
	vertical-align: -0.1em;
	display: inline-block;
	fill: currentColor;
	max-height: 1.5em;
	max-width: 1.5em;
	filter: drop-shadow(2px 2px 0px #000000ff)
}



.main {
	padding: 20px;
	display: flex;
	flex-direction: row;
	align-items: flex-start;
	align-content: flex-start;
	flex-wrap: wrap;

	justify-content: center;
	align-items: center;


	width: calc(100% - 300px);
	height: calc(100% - 20px);
	overflow-y: auto;
	scrollbar-width: thin;
}

.main-element {

	position: relative;
	padding: 8px;
	text-align: center;
	font-weight: bold;
	flex-wrap: wrap;
	flex-direction: column;
	align-items: center;
	width: 200px;
}



.main-thumbnail-passive {

	cursor: pointer;
	position: relative;
	height: 120px;
	width: 200px;
	filter: drop-shadow(7px 7px 2px #00000088);
	transition: transform .2s;
}

.main-thumbnail-passive:hover {
	transform: scale(1.1);
}

.main-thumbnail-passive-shell {
	position: absolute;
	top: 45%;
	left: 50%;
	transform: translate(-50%, -50%) scale(1.5);
}

.main-thumbnail-passive-ability {
	position: absolute;
	top: 45%;
	left: 50%;
	transform: translate(-50%, -40%) scale(1.5);
}


/* boilerplate i found, to be edited */
.toggle {
	padding: 0.5em;
	border-radius: 4px;
	cursor: pointer;
	transition: 0.3s ease;
	background-color: #00000088;
}


.toggle:hover {
	background-color: #3338;
}

.toggle.active {
	background-color: #333;
}
